# collada.scene.LightNode

class collada.scene.LightNode(light, xmlnode=None)

  Represents a light being instantiated in a scene, as defined in the collada <instance_light> tag.

  __init__(light, xmlnode=None)

    Create a light instance

    Parameters

      - light (collada.light.Light) – The light being instantiated

      - xmlnode – When loaded, the xmlnode it comes from

  Methods

  `__init__`(light[, xmlnode]) | Create a light instance
  `load`(collada, node) | Load and return a class instance from an XML node.
  `objects`(tipo[, matrix]) | Yields a `collada.light.BoundLight` if `tipo=='light'`
  `save`() | Saves the light node back to `xmlnode`

  Attributes

  `xmlnode` | ElementTree representation of the light node.
  `light` | An object of type `collada.light.Light` representing the instantiated light